import { jsx } from "react/jsx-runtime";
import { TokenDODO as TokenDODO$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenDODO = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "DODO", "data-name": "TokenDODO", ...props, children: /* @__PURE__ */ jsx(TokenDODO$1, { variant }) });
  }
);
TokenDODO.displayName = "TokenDODO";
Object.assign(TokenDODO, { isGdsIcon: true });
export {
  TokenDODO
};
